package com.example.venue_reservation_service.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 用于标记禁用时间和场地之间的联系
 * @TableName venue_slot_information
 */
@TableName(value ="venue_slot_information")
@Data
public class VenueSlot implements Serializable {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 场地编号
     */
    private Integer venueId;

    /**
     * 禁用时间段编号
     */
    private Integer slotId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}