package com.example.venue_reservation_service.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@Schema(description = "用户预约订单查询")
public class ReservationDTO extends PageDTO{

    // 用户编号
    @Schema(description = "用户编号")
    private Integer userId;

    // 预约订单状态
    @Schema(description = "预约订单状态")
    private Integer status;

}
