package com.example.venue_reservation_service.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(description = "用户签到对象")
public class SignInDTO {

    @Schema(description = "预约订单编号")
    private Integer reservationId;

    @Schema(description = "场地编号")
    private Integer venueId;

    @Schema(description = "用户编号")
    private Integer userId;
}
