package com.example.venue_reservation_service.service;

import com.example.venue_reservation_service.domain.School;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.venue_reservation_service.vo.Result;

/**
* @author 31586
* @description 针对表【venue_school(学校身份表)】的数据库操作Service
* @createDate 2025-01-05 15:42:15
*/
public interface SchoolService extends IService<School> {

    Result queryUnits(String type);

    Result userCertify(School school);

    Result getCertify(Integer userId);

}
