package com.example.venue_reservation_service.utils;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.sql.Time;
import java.time.*;
import java.time.temporal.TemporalAdjusters;

public class DateUtil {

    // 将 LocalDateTime 类型数据转化为时间戳
    public static String getEpochMilli(LocalDateTime localDateTime){
        return localDateTime.atZone(ZoneId
                .systemDefault())
                .toInstant()
                .toEpochMilli() + "";
    }

    public static long calc(String stamp){
        // 假设上一个时间戳（以毫秒为单位）
        long previousTimestamp = Long.parseLong(stamp) + 5 * 60 * 1000; // 上一个时间戳

        // 获取当前时间戳
        long currentTimestamp = Instant.now().toEpochMilli();

        // 计算时间差（秒）
        return  (previousTimestamp -currentTimestamp) / 1000;
    }

}
